{% extends "base.html" %}

{% block title %} category_list {% endblock title %}

{% block content %}
    <main>
        <h1>My ExpenseCategories</h1>
        <table>
            <thead>
              <tr>
                <th>Name</th>
                <th>Number of receipts</th>
              </tr>
            </thead>
            <tbody>

              {% for category in category_list %}
                <tr>
                  <td>{{category.name}}</td>
                  <td>{{category.receipts|length}}</td>
                </tr>
              {% endfor %}

            </tbody>
          </table>
    </main>

{% endblock content %}
